Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class GraphicsEnvironment

    java.lang.Object
      |
      +--java.awt.GraphicsEnvironment

public abstract class GraphicsEnvironment
extends Object

The `GraphicsEnvironment` class describes the collection of `GraphicsDevice` objects and `Font` objects available to a Java(tm) application on a particular platform. The resources in this `GraphicsEnvironment` might be local or on a remote machine. `GraphicsDevice` objects can be screens, printers or image buffers and are the destination of `Graphics2D` drawing methods. Each `GraphicsDevice` has a number of `GraphicsConfiguration` objects associated with it. These objects specify the different configurations in which the `GraphicsDevice` can be used.

See Also:
  `GraphicsDevice`, `GraphicsConfiguration`

Constructor Summary
`protected` | `GraphicsEnvironment()` This is an abstract class and cannot be instantiated directly.

Method Summary
`abstract Graphics2D` | `createGraphics(BufferedImage img)` Returns a `Graphics2D` object for rendering into the specified `BufferedImage`.
`abstract Font[]` | `getAllFonts()` Returns an array containing a one-point size instance of all fonts available in this `GraphicsEnvironment`.
`abstract String[]` | `getAvailableFontFamilyNames()` Returns an array containing the names of all font families available in this `GraphicsEnvironment`.
`abstract String[]` | `getAvailableFontFamilyNames(Locale l)` Returns an array containing the localized names of all font families available in this `GraphicsEnvironment`.
`abstract GraphicsDevice` | `getDefaultScreenDevice()` Returns the default screen `GraphicsDevice`.
`static GraphicsEnvironment` | `getLocalGraphicsEnvironment()` Returns the local `GraphicsEnvironment`.
`abstract GraphicsDevice[]` | `getScreenDevices()` Returns an array of all of the screen `GraphicsDevice` objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsEnvironment

    protected GraphicsEnvironment()

  This is an abstract class and cannot be instantiated directly. Instances must be obtained from a suitable factory or query method.

Method Detail

### getLocalGraphicsEnvironment

    public static GraphicsEnvironment getLocalGraphicsEnvironment()

  Returns the local `GraphicsEnvironment`.
  Returns:
    this `GraphicsEnvironment`.

### getScreenDevices

    public abstract GraphicsDevice[] getScreenDevices()

  Returns an array of all of the screen `GraphicsDevice` objects.
  Returns:
    an array containing all the `GraphicsDevice` objects that represent screen devices.

### getDefaultScreenDevice

    public abstract GraphicsDevice getDefaultScreenDevice()

  Returns the default screen `GraphicsDevice`.
  Returns:
    the `GraphicsDevice` that represents the default screen device.

### createGraphics

    public abstract Graphics2D createGraphics(BufferedImage img)

  Returns a `Graphics2D` object for rendering into the specified `BufferedImage`.
  Parameters:
    `img` - the specified `BufferedImage`
  Returns:
    a `Graphics2D` to be used for rendering into the specified `BufferedImage`.

### getAllFonts

    public abstract Font[] getAllFonts()

  Returns an array containing a one-point size instance of all fonts available in this `GraphicsEnvironment`. Typical usage would be to allow a user to select a particular font. Then, the application can size the font and set various font attributes by calling the `deriveFont` method on the choosen instance.

  This method provides for the application the most precise control over which `Font` instance is used to render text. If a font in this `GraphicsEnvironment` has multiple programmable variations, only one instance of that `Font` is returned in the array, and other variations must be derived by the application.

  If a font in this environment has multiple programmable variations, such as Multiple-Master fonts, only one instance of that font is returned in the `Font` array. The other variations must be derived by the application.

  Returns:
    an array of `Font` objects.
  Since:
    1.2
  See Also:
    `getAvailableFontFamilyNames()`, `Font`, `Font.deriveFont(int, float)`, `Font.getFontName()`

### getAvailableFontFamilyNames

    public abstract String[] getAvailableFontFamilyNames()

  Returns an array containing the names of all font families available in this `GraphicsEnvironment`. Typical usage would be to allow a user to select a particular family name and allow the application to choose related variants of the same family when the user specifies style attributes such as Bold or Italic.

  This method provides for the application some control over which `Font` instance is used to render text, but allows the `Font` object more flexibility in choosing its own best match among multiple fonts in the same font family.

  Returns:
    an array of `String` containing names of font families.
  Since:
    1.2
  See Also:
    `getAllFonts()`, `Font`, `Font.getFamily()`

### getAvailableFontFamilyNames

    public abstract String[] getAvailableFontFamilyNames(Locale l)

  Returns an array containing the localized names of all font families available in this `GraphicsEnvironment`. Typical usage would be to allow a user to select a particular family name and allow the application to choose related variants of the same family when the user specifies style attributes such as Bold or Italic.

  This method provides for the application some control over which `Font` instance used to render text, but allows the `Font` object more flexibility in choosing its own best match among multiple fonts in the same font family. If `l` is `null`, this method returns an array containing all font family names available in this `GraphicsEnvironment`.

  Parameters:
    `l` - a `Locale` object that represents a particular geographical, political, or cultural region
  Returns:
    an array of `String` objects containing names of font families specific to the specified `Locale`.
  Since:
    1.2
  See Also:
    `getAllFonts()`, `Font`, `Font.getFamily()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.